Subject: bug#51953: closed (Re: [bug#51953] [PATCH core-updates-frozen 0/2] Fix wlroots build with Meson 0.60.0)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 19 Nov 2021 15:53:02 +0000

Your bug report

#51953: [PATCH core-updates-frozen 0/2] Fix wlroots build with Meson 0.60.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51953: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51953
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#51953] [PATCH core-updates-frozen 0/2] Fix wlroots build with Meson 0.60.0
From: Jack Hill <[email-masked]>
To: Josselin Poiret <[email-masked]>
Cc: [email-masked]
Date: Fri, 19 Nov 2021 10:52:30 -0500 (EST)
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, 18 Nov 2021, Josselin Poiret via Guix-patches via wrote:

> Jack Hill <[email-masked]> writes:
>
>> The build system now automatically detects which logind to use [0], and
>> specifying the option is an error with Meson 0.60.0.
>>
>> [0] https://gitlab.freedesktop.org/wlroots/wlroots/-/commit/30308e35fac0491ab777495e2ee7e472378d375a
>
> elogind is no longer a dependency of wlroots because of
> https://gitlab.freedesktop.org/wlroots/wlroots/-/commit/d50bbf0bbc49a9a8e010668cd357aba968ae884b
> included in 0.14.
>
> It is a dependency of seatd though, and it should be propagated because
> it is required by the pkg-config of seatd.  Since you still specified
> elogind here, pkg-config was able to find it nonetheless but this isn't
> the proper way to do it.

Ah, thanks for pointing that out, and submitted the proper fix in #51972.

I'm closing this issue.

Best,
Jack

Subject: [PATCH core-updates-frozen 0/2] Fix wlroots build with Meson 0.60.0
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Thu, 18 Nov 2021 11:43:39 -0500 (EST)
List-Id: <debbugs-submit.debbugs.gnu.org>

The build system now automatically detects which logind to use [0], and 
specifying the option is an error with Meson 0.60.0.

[0] https://gitlab.freedesktop.org/wlroots/wlroots/-/commit/30308e35fac0491ab777495e2ee7e472378d375a

While I was modifying the package, I also updated its home-page to point 
to the new freedesktop.org location.

Jack Hill (2):
   gnu: wlroots: Remove logind-provider configure option.
   gnu: wlroots: Update home page.

  gnu/packages/wm.scm | 5 ++---
  1 file changed, 2 insertions(+), 3 deletions(-)

-- 
2.33.1